Syncraft
Dashboard

API Documentation

Integrate Syncraft's AI features directly into your own applications.

API Credit Pricing

The Syncraft API uses a prepaid credit system. API Credits must be purchased in advance and will not expire.

Package NamePrice (PHP)API Credits Received
Starter₱116.00200
Pro₱290.00500
Studio₱580.001,000

Cost per Generation

The following are the service charges (in API Credits) for each feature. Credits are automatically deducted from your prepaid wallet upon a successful generation.

Service DescriptionCost (PHP)Cost (API Credits)Billing Basis
Garment Trace & Vectorization
Modes: keep_artwork, extract_pattern
₱23.2040Per image
Logo & Emblems Trace
Mode: logo_trace
₱23.2040Per image
Background Remover
Mode: bg_remover
₱2.905Per image

Base URL

https://syncraftech.com/api/v1/generate

Authentication

Authenticate your requests by sending your API key in the `Authorization` header as a Bearer token.

Authorization: Bearer YOUR_API_KEY

Request Body Parameters

ParameterTypeDescription
image_urlstringRequired. The public URL of the image you want to process.
modestringOptional. Determines which AI pipeline to use. Options:
keep_artwork (Default, 40 Credits)
extract_pattern (40 Credits)
logo_trace (40 Credits)
bg_remover (5 Credits)

Example Request (cURL)

curl -X POST https://syncraftech.com/api/v1/generate \
-H "Authorization: Bearer YOUR_API_KEY_HERE" \
-H "Content-Type: application/json" \
-d '{
  "image_url": "https://example.com/jersey.png",
  "mode": "extract_pattern" 
}'

Example Response

{
  "success": true,
  "company": "Your Company Name",
  "mode": "extract_pattern",
  "credits_charged": 40,
  "image_url": "https://url-to-final-vector.svg",
  "type": "image/svg+xml"
}